package com.yeejoin.amos.boot.module.jcs.api.service;

import com.yeejoin.amos.boot.module.jcs.api.entity.AlertCalled;
import com.yeejoin.amos.boot.module.jcs.api.entity.PowerTransferCompanyResources;

/**
 * 调派单位资源 服务类
 *
 * @author tb
 * @date 2021-06-17
 */
public interface IPowerTransferCompanyResourcesService {


    AlertCalled getByPowerTransferCompanyResourId(Long id);


    PowerTransferCompanyResources getByAlertCalledIdCarId(Long alertCalledId, Long carId);

    void updateByAlertCalledId(Long alertCalledId);

    void updatePowerTransferCompanyResourcesService(Long alertCalledId, Long carId, String code, int type, String remarks);

    /**
     * 根据ID获取资源信息
     *
     * @param resourceId 资源id
     * @return 车辆状态
     */
    PowerTransferCompanyResources getResourceById(String resourceId);
}
